## ubuntu-release-upgrader 15.04.14

=== debian/changelog ===
ubuntu-release-upgrader (1:15.04.14) vivid; urgency=low

  [ Michael Vogt ]
  * make i18n more robust, thanks to Brian Murray (LP: #1370243)

  [ Brian Murray ]
  * po/*.po:
    - automatic launchpad translation update

 -- Brian Murray <brian@ubuntu.com>  Fri, 17 Apr 2015 10:13:11 -0700

ubuntu-release-upgrader (1:15.04.13) vivid; urgency=low

  * add workaround for kubuntu upgrade issue with baloo-kf5
    (LP: #1426132)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 31 Mar 2015 21:04:51 +0200

ubuntu-release-upgrader (1:15.04.12) vivid; urgency=medium

  * add more compatibility for vte 2.90 (and we need to keep that until
    16.04) (LP: #1413270)

 -- Brian Murray <brian@ubuntu.com>  Wed, 25 Mar 2015 14:38:46 -0700

ubuntu-release-upgrader (1:15.04.11) vivid; urgency=medium

  * DistUpgrade/DistUpgradeApport.py: check to see if
    RELEASE_UPRADER_NO_APPORT is set when running apport_crash or
    apport_pkgfailure. (LP: #1399836)

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Mar 2015 14:35:00 -0700

ubuntu-release-upgrader (1:15.04.10) vivid; urgency=medium

  * Fix detection of pyqt5 vs pyqqt4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Feb 2015 16:26:55 +0100

ubuntu-release-upgrader (1:15.04.9) vivid; urgency=medium

  * Further pyflakes tidying in DistUpgrade/DistUpgradeViewKDE.py

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Feb 2015 10:36:49 +0100

ubuntu-release-upgrader (1:15.04.8) vivid; urgency=medium

  * data/DistUpgrade.cfg: Add xubuntu-core and lubuntu-core to MetaPkgs and
    add KeyDependencies for them. Thanks to LP user Unit 193 for working on
    this.

 -- Brian Murray <brian@ubuntu.com>  Mon, 23 Feb 2015 10:28:34 -0800

ubuntu-release-upgrader (1:15.04.7) vivid; urgency=medium

  * Log more information when key packages are not available/downloadable.
  * DistUpgrade/DistUpgradeViewKDE.py: Fix call to showConffile.
    (LP: #1423279)

 -- Brian Murray <brian@ubuntu.com>  Wed, 18 Feb 2015 12:49:07 -0800

ubuntu-release-upgrader (1:15.04.6) vivid; urgency=medium

  * Port KDE GUIs to native Qt5 versions.
    + pyqt5 is only imported iff the current dist version is not trusty as
      that one had a nasty bug with signals and slots not connecting properly.
    + pyqt4/pykde4 compatibility is retained by fallback handling for the
      pyqt5 import, as well as some version checks switching out kde classes
      for qt classes when using Qt5. Ultimately systems <=utopic will retain
      the same behavior as before.
    + KDE bits replacemed as follows:
      * KIcon -> QIcon::fromTheme
      * KMessageBox -> QMessageBox (using most suitable version from the
        limited feature set of QMB)
      * KApplication -> QApplication
      * i18n -> _()
  * Fix KDE upgrade fetcher GUI
    + Wire up do-release-upgrade with the KDE GUI to actually provide a UI
      when run from a KDE Plasma envrionment
    + Remove all logic that replicated stuff done in do-release-upgrade
      (this primarily includes using MetaRelease to actually conduct the
       version check, the automatic version checks are done by a special
       script that is part of muon, so we do not ever call the fetcher
       manually, and have not done so in at least 5 years)
    + Detangle the Acquire class from the Fetcher class, latter is not
      automatically constructing former any longer but needs to get it
      supplied from the outside (i.e. do-release-upgrade)
    + init arguments of both classes are now alinged with their GTK
      counterparts
    + The designer ui file now uses a QTextBrowser rather than a QTextEdit as
      the user doesn't need to edit anything and the former supports html and
      url opening
    + The fetcher ui file has had all unused widgets removed which makes the
      fetcher dialog have correct spacing
    + The classes now hold a QApp as self.app to reflect the fact that they
      may be constructed in any order and thus may need a QApplication in any
      order. The actually instance is created from a new function that creates
      an instance if there isn't one already. Ultimately this should probably
      become a singleton.
    + The Acquire process can now be aborted properly.
   * Fix translation loading. As all Qt GUIs no prominently feature Qt builtin
     classes with strings (QMessageBox, QButtonBox) we make sure that the
     correct translations are loaded through QTranslator right after creating
     the QApplication instances.
     + ubuntu-release-upgrader-qt now recommends qttranslations5-l10n to
      reflect this on a packaging level
  * Add a new class QUrlOpener to redirect all openUrl calls through sudo -u
    if the GUI is run as root, so that we can start the browsers as the user
    rather than root. This class is used in both the Fetcher and the Upgrader.
    It is a singleton that autoparents to qapp, so a qapp instance needs to be
    available before using the opener.
  * Improve Upgrader GUI
    + Upgrader GUI does not meddle with xauthority anymore and doesn't kill
      adept anymore (mind you, adept hasn't been used in years...)
      Also the meddling seems to have been bugged in one form or the other
      which ultimately prevents us from doing a proper openUrl as the invoking
      user
    + dialog_error.ui has been converted to use QTextBrowser as there is no
      editing need.
    + error dialog size hinting as been adjusted to make sure the window can
      not be resized beyond what is suitable to still display stuff.
    + error dialog window size is adjusted before exec to make sure that
      the window has a suitable default size depending on whether the textview
      is displayed or not
    + dialog_error.ui has had its close button replaced with a standard
      QButtonBox
    + reportBug function has been removed as it is not used anymore (core
      brings up apport regardless and the bug report url is most inconvenient

