## ubuntu-release-upgrader 15.04.14.3

=== debian/changelog ===
ubuntu-release-upgrader (1:15.04.14.3) vivid; urgency=medium

  * KDE: Access _warning helper correctly to prevent a crash in the fetcher
    LP: #1507886

 -- Harald Sitter <sitter@kde.org>  Tue, 20 Oct 2015 08:28:14 +0200

ubuntu-release-upgrader (1:15.04.14.2) vivid-proposed; urgency=medium

  * Support upgrading from Trusty to Vivid directly since Utopic is End of
    Life. (LP: #1497024)
  * DistUpgrade/build-tarball.sh: Copy the contents of demoted.cfg so it is
    not a broken symlink. (LP: #1498193)

 -- Brian Murray <brian@ubuntu.com>  Mon, 21 Sep 2015 13:05:19 -0700

ubuntu-release-upgrader (1:15.04.14.1) vivid; urgency=medium

  * Fix upgrader kde frontend fails to start LP: #1488843

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 13:14:23 +0100
