## ubuntu-release-upgrader 15.10.13

=== debian/changelog ===
ubuntu-release-upgrader (1:15.10.13) wily; urgency=medium

  * Revert change from 15.10.11, already rejected from wily-proposed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Oct 2015 16:56:06 +0100

ubuntu-release-upgrader (1:15.10.12) wily; urgency=medium

  * Remove kmix as part of Kubuntu upgrade, now plasma-pa is volume applet

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Oct 2015 16:34:56 +0100

ubuntu-release-upgrader (1:15.10.11) wily; urgency=medium

  * Change KDE fetcher UI from showing the HTML release notes to showing the
    text notes. HTML notes apparently come back with 403 when fetched through
    urllib...
    Since we have no tested WebView code at hand to prefer over the text notes
    we'll have to settle for text even though we could render HTML just fine.
    This fixes the fetcher constantly coming up with a fatal error dialog due
    to handling the 403 exception.
    LP: #1507887

 -- Harald Sitter <sitter@kde.org>  Tue, 20 Oct 2015 07:45:13 +0200

ubuntu-release-upgrader (1:15.10.10) wily; urgency=medium

  * Log the installed meta packages to make troubleshooting upgrades easier.
    (LP: #1505359)

 -- Brian Murray <brian@ubuntu.com>  Mon, 12 Oct 2015 12:31:30 -0700

ubuntu-release-upgrader (1:15.10.9) wily; urgency=medium

  * po/update-manager.pot:
    - updated (LP: #1502529)

 -- Brian Murray <brian@ubuntu.com>  Wed, 07 Oct 2015 16:32:00 -0700

ubuntu-release-upgrader (1:15.10.8) wily; urgency=medium

  * data/removal_blacklist.cfg: make ubuntu-release-upgrader blacklist entry
    more specific so it does not match ubuntu-release-upgrader-qt.
    (LP: #1313514)

 -- Brian Murray <brian@ubuntu.com>  Mon, 05 Oct 2015 17:06:06 -0700

ubuntu-release-upgrader (1:15.10.7) wily; urgency=medium

  * data/DistUpgrade.cfg:
    + Add Ubuntu MATE support.
  * data/removal_blacklist.cfg:
    + Add Ubuntu MATE support.
  * debian/control:
    + Standards-Version: 3.9.6

 -- Martin Wimpress <code@flexion.org>  Wed, 23 Sep 2015 21:14:49 +0100

ubuntu-release-upgrader (1:15.10.6) wily; urgency=medium

  * DistUpgrade/build-tarball.sh: Copy the contents of demoted.cfg so it is
    not a broken symlink. (LP: #1498193)

 -- Brian Murray <brian@ubuntu.com>  Mon, 21 Sep 2015 14:58:41 -0700

ubuntu-release-upgrader (1:15.10.5) wily; urgency=medium

  * Restore pep8 change from .3

 -- Harald Sitter <sitter@kde.org>  Tue, 01 Sep 2015 10:02:24 +0200

ubuntu-release-upgrader (1:15.10.4) wily; urgency=medium

  * Fix kde frontend to actually show an error when failing to get the release
    notes. It was accessing a method in the wrong scope causing a crash rather
    than displaying the error dialog.

 -- Harald Sitter <sitter@kde.org>  Mon, 31 Aug 2015 17:54:15 +0200

ubuntu-release-upgrader (1:15.10.3) wily; urgency=medium

  * Fix PEP8 issue with DistUpgradeFetcherKDE.py.

 -- Brian Murray <brian@ubuntu.com>  Thu, 27 Aug 2015 14:03:21 -0700

ubuntu-release-upgrader (1:15.10.2) wily; urgency=medium

  * Fix upgrader kde frontend fails to start LP: #1488843

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 12:51:58 +0100

ubuntu-release-upgrader (1:15.10.1) wily; urgency=medium

  * Resolve test failures due to new version of pep8.

 -- Brian Murray <brian@ubuntu.com>  Thu, 13 Aug 2015 11:23:19 -0700

ubuntu-release-upgrader (1:15.10.0) wily; urgency=medium

  * DistUpgrade/{EOL,}ReleaseAnnouncement,
    DistUpgrade/DistUpgrade/window_main.ui,
    data/gtkbuilder/DistUpgrade.ui,
    data/DistUpgrade.cfg,
    pre-build.sh:
    - updated for 15.04->15.10

 -- Brian Murray <brian@ubuntu.com>  Fri, 08 May 2015 10:19:29 -0700
