=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                apt-clone (>= 0.2.3~ubuntu2)
 Build-Depends-Indep: libxml-parser-perl, 
                      intltool
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/ubuntu-release-upgrader/trunk
 XS-Testsuite: autopkgtest
 X-Python3-Version: >= 3.2
