## ubuntu-release-upgrader 15.10.14.4

=== debian/changelog ===
ubuntu-release-upgrader (1:15.10.14.4) wily-proposed; urgency=medium

  * DistUpgrade/DistUpgradeNonInteractive.py: Ensure output when using
    is not garbled as single bytestream escaped characters. Thanks to
    Christopher Lee for the patch. (LP: #1538880)

 -- Brian Murray <brian@ubuntu.com>  Fri, 05 Feb 2016 12:05:23 -0800

ubuntu-release-upgrader (1:15.10.14.3) wily-proposed; urgency=medium

  * Add in data files (DistUpgrade.cfg.trusty, demoted.cfg.trusty) to support
    distribution upgrades from Trusty to Wily. (LP: #1537916)

 -- Brian Murray <brian@ubuntu.com>  Mon, 25 Jan 2016 13:48:41 -0800

ubuntu-release-upgrader (1:15.10.14.2) wily-proposed; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: protect against the linux metapackage
    not being available in the cache. (LP: #1511831)

 -- Brian Murray <brian@ubuntu.com>  Wed, 04 Nov 2015 13:25:30 -0800

ubuntu-release-upgrader (1:15.10.14.1) wily-proposed; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: add in a quirk to ensure that a linux
    metapackage is installed after the release upgrade. (LP: #1509305)

 -- Brian Murray <brian@ubuntu.com>  Tue, 27 Oct 2015 16:09:47 -0700

ubuntu-release-upgrader (1:15.10.14) wily; urgency=medium

  [ Brian Murray ]
  * data/DistUpgrade.cfg: Update kernel version and types that will be
    considered for removal. (LP: #1508539)

  [ Martin Pitt ]
  * DistUpgrade/imported/invoke-rc.d: Import current version with systemd
    support, to fix upgrade failures of packages which only ship upstart and
    systemd units, but no SysV init script (like lxc, ofono, or nfs-common).
    (LP: #1504897)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 21 Oct 2015 23:40:22 +0200
