## ubuntu-release-upgrader 16.04.12

=== debian/changelog ===
ubuntu-release-upgrader (1:16.04.12) xenial; urgency=medium

  * DistUpgradeQuirks.py: Fix the quirk which inhibits screensavers.
    (LP: #1570947)

 -- Brian Murray <brian@ubuntu.com>  Fri, 15 Apr 2016 17:11:11 -0700

ubuntu-release-upgrader (1:16.04.11) xenial; urgency=medium

  [ Tim Lunn ]
  * DistUpgradeQuirks.py: add a quirk to add a gnome-session idle inhibitor
    this will fix the screensaver activating on Ubuntu GNOME (LP: #1565177)
    Leave this inhibitor in place on GNOME desktop to workaround broken
    lock screen after upgrade (LP: #1565178).

  [ Brian Murray ]
  * DistUpgrade/ReleaseAnnouncement: provide a link to the release notes of
    the version of Ubuntu to which users are upgrading. (LP: #1535098)

 -- Brian Murray <brian@ubuntu.com>  Thu, 14 Apr 2016 14:45:29 -0700

ubuntu-release-upgrader (1:16.04.10) xenial; urgency=medium

  [ Tim Lunn ]
  * DistUpgrade/DistUpgradeController.py: set a logind sleep inhibitor
  * DistUpgrade/DistUpgradeFetcher{KDE}.py: remove calls to inhibit_sleep
    logind inhibitor will be released when os.exec is called as we lose
    reference on the fd (LP: #1566141)

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeViewKDE.py: Really fix call to showConffile.
    (LP: #1509655)

 -- Brian Murray <brian@ubuntu.com>  Thu, 07 Apr 2016 15:26:25 -0700

ubuntu-release-upgrader (1:16.04.9) xenial; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * DistUpgrade/DistUpgradeController.py: fix typo in variable name for
    RELEASE_UPGRADER_ALLOW_THIRD_PARTY; this will help running with third-
    party mirrors in sources via just the environment variable for one-shot
    deals.

  [ Brian Murray ]
  * demotions.py: clear Apt::Update settings so that Post-Invoke-Success jobs
    are not run.
  * tests/test_quirks.py: disable fglrx test since it is not in xenial.

 -- Brian Murray <brian@ubuntu.com>  Wed, 06 Apr 2016 10:50:23 -0700

ubuntu-release-upgrader (1:16.04.8) xenial; urgency=medium

  * data/release-upgrades:
    - set the default upgrade prompt to "lts" instead of "normal" so that
      LTS users will only see the automatic upgrade prompt when the next LTS
      version is ready. (LP: #1550927)
  * update demoted.cfg, demoted.cfg.trusty, mirrors.cfg
  * DistUpgrade/DistUpgradeAptCdrom.py: fix double open. (LP: #1551929)

 -- Brian Murray <brian@ubuntu.com>  Thu, 03 Mar 2016 11:36:41 -0800

ubuntu-release-upgrader (1:16.04.7) xenial; urgency=medium

  [ Iain Lane ]
  * Keep fallback compatibility with Vte 2.90 and WebKit 1, required to run on
    14.04 (LP: #1548858)

 -- Brian Murray <brian@ubuntu.com>  Tue, 23 Feb 2016 14:55:51 -0800

ubuntu-release-upgrader (1:16.04.6) xenial; urgency=medium

  * utils/demotions.py: Set Apt::Architectures too so that the host's
    multiarch setup doesn't get in the way.
  * DistUpgrade/DistUpgradeViewGtk3.py,
    DistUpgrade/ReleaseNotesViewerWebkit.py: Port to WebKit 2 (LP: #1469221)

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 16 Feb 2016 15:09:37 +0000

ubuntu-release-upgrader (1:16.04.5) xenial; urgency=medium

  * DistUpgrade/DistUpgradeView.py: switch from package manager ResultFailed
    to RESULT_FAILED, apparently the former was obsoleted some time ago.
    (LP: #1292335)

 -- Brian Murray <brian@ubuntu.com>  Fri, 12 Feb 2016 10:27:15 -0800

ubuntu-release-upgrader (1:16.04.4) xenial; urgency=medium

  * DistUpgrade/DistUpgradeMain.py: check the apt cache to see what version of
    apt is installed rather than using the apt VERSION string. (LP: #1306065)
  * test/test_sources_list.py: resolve test failures.
  * DistUpgrade/DistUpgradeCache.py: log packages which will be downgraded.
  * DistUpgrade/DistUpgradeNonInteractive.py: Ensure output when using
    is not garbled as single bytestream escaped characters. Thanks to
    Christopher Lee for the patch. (LP: #1538880)

 -- Brian Murray <brian@ubuntu.com>  Wed, 13 Jan 2016 11:33:25 -0800

ubuntu-release-upgrader (1:16.04.3) xenial; urgency=medium

  * DistUpgrade/DistUpgradeController.py: if a BaseMetaPkg has no origins,
    because an Ubuntu mirror has been deactivated, then create a useful
    sources.list file that parallels the one for the deactivated mirror.
    (LP: #1511783)
  * utils/update_mirrors.py: Instead of just appending new mirrors to the
    mirrors.cfg file also remove mirrors that are no longer valid.
    (LP: #1463680)

 -- Brian Murray <brian@ubuntu.com>  Wed, 18 Nov 2015 11:05:19 -0800

ubuntu-release-upgrader (1:16.04.2) xenial; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: protect against the linux metapackage
    not being available in the cache. (LP: #1511831)

 -- Brian Murray <brian@ubuntu.com>  Mon, 02 Nov 2015 09:50:02 -0800

ubuntu-release-upgrader (1:16.04.1) xenial; urgency=medium

  [ Barry Warsaw ]
  * Don't try to import janitor and NvidiaDetector in a package relative
    to this one, to avoid the possibility of dangling symlinks when the
    packages actually containing these modules is not installed.
    (LP: #1485093)
  * debian/python3-distupgrade.links: Removed.

  [ Brian Murray ]
  * DistUpgrade/{EOL,}ReleaseAnnouncement,
    DistUpgrade/DistUpgrade/window_main.ui,
    data/gtkbuilder/DistUpgrade.ui,
    data/DistUpgrade.cfg,
    data/DistUpgrade.cfg.trusty,
    pre-build.sh:
    - updated for 15.10->16.04
  * DistUpgrade/DistUpgradeQuirks.py: add in a quirk to ensure that a linux
    metapackage is installed after the release upgrade. (LP: #1509305)

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeQuirks.py: improve linux metapackage check and add
    a test for it.

 -- Brian Murray <brian@ubuntu.com>  Tue, 27 Oct 2015 13:45:19 -0700
