## ubuntu-release-upgrader 16.04.29

=== debian/changelog ===
ubuntu-release-upgrader (1:16.04.29) xenial; urgency=medium

  * do-release-upgrade: add linux-base to the check for required reboot after
    a kernel upgrade (LP: #1844805).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 07 Nov 2019 12:42:41 +0100

ubuntu-release-upgrader (1:16.04.28) xenial; urgency=medium

  * do-release-upgrade: also check for linux-image- in reboot-required.pkgs,
    refusing upgrading before a reboot is performed. (LP: #1844805)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 04 Nov 2019 21:41:52 +0100

ubuntu-release-upgrader (1:16.04.27) xenial; urgency=medium

  * Use HTTPS for changelogs.ubuntu.com (LP: #1744318)
  * Run pre-build script to update mirror list, hold apt-btrfs-snapshot changes

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 02 Oct 2019 16:08:25 +0200

ubuntu-release-upgrader (1:16.04.26) xenial; urgency=medium

  * do-release-upgrade: do not run the release upgrade if either not all
    fully phased updates are installed or a reboot is required due to a libc6
    upgrade.  (LP: #1797209)

 -- Brian Murray <brian@ubuntu.com>  Tue, 06 Nov 2018 15:55:10 -0800
