## ubuntu-release-upgrader 16.04.32

=== debian/changelog ===
ubuntu-release-upgrader (1:16.04.32) xenial; urgency=medium

  [ Chad Smith ]
  * data/mirrors.cfg: add ubuntu advantage pro PPA url as valid mirror
    (LP: #1893717)
  * DistUpgrade/DistUpgradeController.py: release cache lock during
    runPostInstallScripts (LP: #1897778)

 -- Chad Smith <chad.smith@canonical.com>  Mon, 05 Oct 2020 14:54:27 -0600

ubuntu-release-upgrader (1:16.04.31) xenial; urgency=medium

  * data/mirrors.cfg: add all ubuntu-advantage services as valid mirrors.
    This includes: fips, fips-updates, esm-infra, esm-apps and cc-eal.
    (LP: #1893717)

 -- Brian Murray <brian@ubuntu.com>  Mon, 14 Sep 2020 15:29:56 -0700

ubuntu-release-upgrader (1:16.04.30) xenial; urgency=medium

  * debian/control: change ubuntu-release-upgrader-core to depend on
    ca-certificates (LP: #1796940)
  * Update mirrors data.

 -- Brian Murray <brian@ubuntu.com>  Fri, 01 May 2020 16:06:05 -0700
