=== debian/control ===
--- 
+++ 
@@ -22,7 +22,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-distupgrade (= ${source:Version})
+         python3-distupgrade (= ${source:Version}),
+         ca-certificates
 Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
 Replaces: update-manager (<< 1:0.165),
           update-manager-core (<< 1:0.165)
