## ubuntu-release-upgrader 16.04.32+8.0trisquel3

=== debian/changelog ===
ubuntu-release-upgrader (1:16.04.32+8.0trisquel3) flidas; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 20 Oct 2020 00:02:10 +0000

ubuntu-release-upgrader (1:16.04.32) flidas; urgency=medium

  [ Chad Smith ]
  * data/mirrors.cfg: add trisquel advantage pro PPA url as valid mirror
    (LP: #1893717)
  * DistUpgrade/DistUpgradeController.py: release cache lock during
    runPostInstallScripts (LP: #1897778)

 -- Chad Smith <chad.smith@canonical.com>  Mon, 05 Oct 2020 14:54:27 -0600

ubuntu-release-upgrader (1:16.04.31) flidas; urgency=medium

  * data/mirrors.cfg: add all trisquel-advantage services as valid mirrors.
    This includes: fips, fips-updates, esm-infra, esm-apps and cc-eal.
    (LP: #1893717)

 -- Brian Murray <brian@ubuntu.com>  Mon, 14 Sep 2020 15:29:56 -0700

ubuntu-release-upgrader (1:16.04.30) flidas; urgency=medium

  * debian/control: change trisquel-release-upgrader-core to depend on
    ca-certificates (LP: #1796940)
  * Update mirrors data.

 -- Brian Murray <brian@ubuntu.com>  Fri, 01 May 2020 16:06:05 -0700

ubuntu-release-upgrader (1:16.04.29) flidas; urgency=medium

  * do-release-upgrade: add linux-base to the check for required reboot after
    a kernel upgrade (LP: #1844805).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 07 Nov 2019 12:42:41 +0100

ubuntu-release-upgrader (1:16.04.28) flidas; urgency=medium

  * do-release-upgrade: also check for linux-image- in reboot-required.pkgs,
    refusing upgrading before a reboot is performed. (LP: #1844805)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 04 Nov 2019 21:41:52 +0100

ubuntu-release-upgrader (1:16.04.27) flidas; urgency=medium

  * Use HTTPS for changelogs.ubuntu.com (LP: #1744318)
  * Run pre-build script to update mirror list, hold apt-btrfs-snapshot changes

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 02 Oct 2019 16:08:25 +0200

ubuntu-release-upgrader (1:16.04.26) flidas; urgency=medium

  * do-release-upgrade: do not run the release upgrade if either not all
    fully phased updates are installed or a reboot is required due to a libc6
    upgrade.  (LP: #1797209)

 -- Brian Murray <brian@ubuntu.com>  Tue, 06 Nov 2018 15:55:10 -0800

ubuntu-release-upgrader (1:16.04.25) flidas-security; urgency=medium

  * Properly drop permissions when opening a browser. (LP: #1174007)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 09 Apr 2018 10:01:24 -0400

ubuntu-release-upgrader (1:16.04.24) flidas; urgency=medium

  * data/mirrors.cfg: Update mirrors for removals and additions.

 -- Brian Murray <brian@ubuntu.com>  Tue, 20 Feb 2018 17:08:07 -0800

ubuntu-release-upgrader (1:16.04.23) flidas; urgency=medium

  * DistUpgrade/DistUpgradeController.py: Provide better instructions when an
    upgrade is aborted due to a lack of free space in a partition.
    (LP: #1721882)

 -- Brian Murray <brian@ubuntu.com>  Fri, 13 Oct 2017 11:55:09 -0700

ubuntu-release-upgrader (1:16.04.22) flidas; urgency=medium

  * do-release-upgrade: Clarify that the "-d" switch is only for upgrading
    from the latest supported release to the development release, not any
    release. Additionally, provide a specific error message if run with -d and
    not running the latest supported release. (LP: #1700829)

 -- Brian Murray <brian@ubuntu.com>  Fri, 14 Jul 2017 16:46:34 -0700

ubuntu-release-upgrader (1:16.04.21) flidas; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: import kernel initrd size estimation
    code from update-manager (since u-r-u is the only consumer of it) and
    refactor in order to give more accurate estimates.  LP: #1646222.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 22 Dec 2016 00:05:53 -0600

ubuntu-release-upgrader (1:16.04.20) flidas; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: when checking for free space in boot also
    check for kernels being upgraded not just installed. (LP: #1640645)

 -- Brian Murray <brian@ubuntu.com>  Fri, 02 Dec 2016 10:54:40 -0800

ubuntu-release-upgrader (1:16.04.19) flidas; urgency=medium

  * No change rebuild so the dist-upgrader tarball will be signed with the new
    method. (LP: #1645906)

 -- Brian Murray <brian@ubuntu.com>  Wed, 30 Nov 2016 08:26:54 -0800

ubuntu-release-upgrader (1:16.04.18) flidas; urgency=medium

  * DistUpgrade/ReleaseNotesViewerWebkit.py: fix indentation of function
    _on_navigation_policy_decision_requested. (LP: #1635155)
  * DistUpgradeViewNonInteractive.py: Instead of tripping over errors when
    writing progress to stdout just ignore them so that the upgrade can
    continue. (LP: #1614576)

 -- Brian Murray <brian@ubuntu.com>  Tue, 08 Nov 2016 09:55:26 -0800

ubuntu-release-upgrader (1:16.04.17) flidas; urgency=medium

  * DistUpgradeViewNonInteractive.py: When handling an exception also log what
    the traceback causing the exception was.  (LP: #1632047)

 -- Brian Murray <brian@ubuntu.com>  Mon, 10 Oct 2016 11:41:01 -0700

ubuntu-release-upgrader (1:16.04.16) flidas; urgency=medium

  * data/DistUpgrade.cfg.belenos: modify which demotions file is used for
    calculating the upgrade. (LP: #1611909)

 -- Brian Murray <brian@ubuntu.com>  Mon, 08 Aug 2016 09:30:40 -0700

ubuntu-release-upgrader (1:16.04.15) flidas; urgency=medium

  * Add the letters LTS to the Release Announcement.  (LP: #1603576)
  * tests/test_country_mirror.py: modify how the LANG environment variable was
    being modified there by fixing a test failure in test_sources_list.py.

 -- Brian Murray <brian@ubuntu.com>  Fri, 22 Jul 2016 09:42:28 -0700

ubuntu-release-upgrader (1:16.04.14) flidas; urgency=medium

  [ Steve Langasek ]
  * No-change rebuild to pick up translations from Launchpad (including the
    Greek translations, which had been accidentally dropped in the previous
    upload due to a collision with the importer).

  [ Brian Murray ]
  * Ensure that the system being upgraded has the version of apt which fixes

