## ubuntu-release-upgrader 16.10.6

=== debian/changelog ===
ubuntu-release-upgrader (1:16.10.6) yakkety; urgency=medium

  * DistUpgradeViewNonInteractive.py: When handling an exception also log what
    the traceback causing the exception was.  (LP: #1632047)

 -- Brian Murray <brian@ubuntu.com>  Mon, 10 Oct 2016 11:05:13 -0700

ubuntu-release-upgrader (1:16.10.5) yakkety; urgency=medium

  * DistUpgradeViewNonInteractive.py: Instead of tripping over errors when
    writing progress to stdout just ignore them so that the upgrade can
    continue. (LP: #1614576)

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Oct 2016 10:40:39 -0700

ubuntu-release-upgrader (1:16.10.4) yakkety; urgency=medium

  [ Brian Murray ]
  * DistUpgradeController.py: fix UnboundLocalError - thanks to Launchpad user
    MissionSix for the patch.  (LP: #1611470)
  * po/POTFILES.in: use check_new_release_gtk.py to allow for fuzzy
    translations.

  [ Dimitri John Ledkov ]
  * Mirgrate to using apt-key, instead of gpg/gpgv directly to gain
    support for apt-secure trustedparts (key fragments in
    /etc/apt/trusted.gpg.d). (LP: #1628415)

 -- Brian Murray <brian@ubuntu.com>  Mon, 03 Oct 2016 16:09:42 -0700

ubuntu-release-upgrader (1:16.10.3) yakkety; urgency=medium

  * pre-build.sh: Ubuntu.info needs to be included in the
    data-sources-list-test data directory for the inactive mirror test to
    pass.

 -- Brian Murray <brian@ubuntu.com>  Fri, 22 Jul 2016 15:01:47 -0700

ubuntu-release-upgrader (1:16.10.2) yakkety; urgency=medium

  * data/release-upgrades: switch prompt from LTS to normal (LP: #1577165)
  * DistUpgrade/DistUpgradeController.py: instead of statically setting
    matcherPath, for a SourcesList, to "." set it to datadir which may be "."
    or something else entirely (like when we are running a test).
  * DistUpgrade/{EOL,Devel}ReleaseAnnouncement: update for 16.10

 -- Brian Murray <brian@ubuntu.com>  Thu, 14 Jul 2016 12:11:19 -0700

ubuntu-release-upgrader (1:16.10.1) yakkety; urgency=medium

  * DistUpgrade/{EOL,}ReleaseAnnouncement,
    DistUpgrade/DistUpgrade/window_main.ui,
    data/gtkbuilder/DistUpgrade.ui,
    data/DistUpgrade.cfg,
    pre-build.sh:
    - updated for 16.04 -> 16.10
  * tests/test_country_mirror.py: modify how the LANG environment variable was
    being modified there by fixing a test failure in test_sources_list.py.

 -- Brian Murray <brian@ubuntu.com>  Tue, 03 May 2016 08:54:38 -0700
