## ubuntu-release-upgrader 16.10.10

=== debian/changelog ===
ubuntu-release-upgrader (1:16.10.10) yakkety; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: import kernel initrd size estimation
    code from update-manager (since u-r-u is the only consumer of it) and
    refactor in order to give more accurate estimates.  LP: #1646222.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Dec 2016 17:54:07 -0600

ubuntu-release-upgrader (1:16.10.9) yakkety-proposed; urgency=medium

  * No change rebuild so the dist-upgrader tarball will be signed with the new
    method. (LP: #1645906)

 -- Brian Murray <brian@ubuntu.com>  Tue, 29 Nov 2016 14:59:34 -0800

ubuntu-release-upgrader (1:16.10.8) yakkety-proposed; urgency=medium

  * data/DistUpgradeQuirks.py: configure the quirk which installs the linux
    metapackage to run for every release upgrade. (LP: #1633903)
  * data/DistUpgrade.cfg: add ubuntkylin-desktop to the list of supported
    metapkgs. (LP: #1632665)
  * DistUpgrade/ReleaseNotesViewerWebkit.py: fix indentation of function
    _on_navigation_policy_decision_requested. (LP: #1635155)

 -- Brian Murray <brian@ubuntu.com>  Tue, 25 Oct 2016 12:13:12 -0700

ubuntu-release-upgrader (1:16.10.7) yakkety-proposed; urgency=medium

  * DistUpgrade/ReleaseAnnouncment: Fix release number and link to
    Release Notes.

 -- Brian Murray <brian@ubuntu.com>  Thu, 13 Oct 2016 10:12:24 -0700
