## ubuntu-release-upgrader 17.04.7

=== debian/changelog ===
ubuntu-release-upgrader (1:17.04.7) zesty; urgency=medium

  * No change rebuild to update promotions, demotions, and mirror lists.

 -- Brian Murray <brian@ubuntu.com>  Tue, 11 Apr 2017 08:57:42 -0700

ubuntu-release-upgrader (1:17.04.6) zesty; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: import kernel initrd size estimation
    code from update-manager (since u-r-u is the only consumer of it) and
    refactor in order to give more accurate estimates.  LP: #1646222.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Dec 2016 15:41:25 -0600

ubuntu-release-upgrader (1:17.04.5) zesty; urgency=medium

  [ Iain Lane ]
  * Fix new pyflakes/pep8 failures. Ignore apt_btrfs_snapshot.py errors as
    this isn't our file (it's copied).

 -- Brian Murray <brian@ubuntu.com>  Tue, 29 Nov 2016 12:16:49 -0800

ubuntu-release-upgrader (1:17.04.4) zesty; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: when checking for free space in boot also
    check for kernels being upgraded not just installed.

 -- Brian Murray <brian@ubuntu.com>  Tue, 15 Nov 2016 15:34:15 -0800

ubuntu-release-upgrader (1:17.04.3) zesty; urgency=medium

  * data/DistUpgrade.cfg: add ubuntkylin-desktop to the list of supported
    metapkgs. (LP: #1632665)
  * data/DistUpgradeQuirks.py: configure the quirk which installs the linux
    metapackage to run for every release upgrade. (LP: #1633903)

 -- Brian Murray <brian@ubuntu.com>  Mon, 24 Oct 2016 14:00:59 -0700

ubuntu-release-upgrader (1:17.04.2) zesty; urgency=medium

  * DistUpgrade/ReleaseNotesViewerWebkit.py: fix indentation of function
    _on_navigation_policy_decision_requested. (LP: #1635155)

 -- Brian Murray <brian@ubuntu.com>  Fri, 21 Oct 2016 00:55:46 -0700

ubuntu-release-upgrader (1:17.04.1) zesty; urgency=medium

  * DistUpgrade/{EOL,Devel}ReleaseAnnouncement,
    DistUpgrade/DistUpgrade/window_main.ui,
    data/gtkbuilder/DistUpgrade.ui,
    data/DistUpgrade.cfg,
    pre-build.sh:
    - updated for 16.10 -> 17.04

 -- Brian Murray <brian@ubuntu.com>  Thu, 20 Oct 2016 05:56:37 -0700
