## ubuntu-release-upgrader 17.04.10

=== debian/changelog ===
ubuntu-release-upgrader (1:17.04.10) zesty; urgency=medium

  * DistUpgrade/DistUpgradeController.py: Provide better instructions when an
    upgrade is aborted due to a lack of free space in a partition.
    (LP: #1721882)

 -- Brian Murray <brian@ubuntu.com>  Fri, 13 Oct 2017 11:40:57 -0700

ubuntu-release-upgrader (1:17.04.9) zesty; urgency=medium

  * do-release-upgrade: Clarify that the "-d" switch is only for upgrading
    from the latest supported release to the development release, not any
    release. Additionally, provide a specific error message if run with -d and
    not running the latest supported release. (LP: #1700829)

 -- Brian Murray <brian@ubuntu.com>  Fri, 14 Jul 2017 16:33:50 -0700

ubuntu-release-upgrader (1:17.04.8) zesty; urgency=medium

  * Create demoted.cfg.xenial and DistUpgrade.cfg.xenial so that upgrades from
    Ubuntu 16.04 to Ubuntu 17.04 are supported. (LP: #1692092)

 -- Brian Murray <brian@ubuntu.com>  Fri, 19 May 2017 10:31:43 -0700
